# Get Ticket by Id

{% hint style="warning" %}
All API requests should contain [authorization headers](https://developers.socialboards.com/docs/apis/tickets/authorization-headers).
{% endhint %}

#### Request

```
GET /tickets/{ticketId}
```

#### Query Parameters.

<table><thead><tr><th>Name</th><th width="100">Type</th><th width="100">Required</th><th>Comments</th></tr></thead><tbody><tr><td>ticketId</td><td>integer</td><td>yes</td><td>Id of ticket you want to receive</td></tr></tbody></table>

#### Response

```json
{
    "data": {
        "id": 4484636,
        "title": "New car price list.",
        "message": "Hello I want to buy a new car, how can I get a price list?",
        "htmlMessage": "Hello I want to buy a new car, how can I get a price list?",
        "author": {
            "id": "7c0a344a-c369-4e27-9840-88257a56e835",
            "name": "Bill Smith",
            "image": null,
            "email": "bill_smith@gmail.com",
            "status": "client",
            "isBot": false
        },
        "category": {
            "id": 15597,
            "name": "Customers"
        },
        "creationTime": "2019-12-18T18:00:03.6368531+00:00",
        "customFields": [],
        "lastThreadElementCreationTime": "2019-12-18T18:00:03.6368531+00:00",
        "lockedBy": null,
        "originalLink": null,
        "properties": {
            "isAnonymized": false,
            "isMuted": false,
            "hasAttachments": true,
            "hasDraft": false,
            "isAssignedToBot": false,
            "isDeleted": false,
            "isExpired": true,
            "isHidden": false,
            "isLocked": false,
            "isSpam": false,
            "isSensitive": false
        },
        "replyCount": 0,
        "sentiment": "question",
        "source": "web",
        "detailedSource": "web_website",
        "sourceName": null,
        "status": "open",
        "tags": [
            "urgent"
        ],
        "attachments": []
    },
    "errorCode": -1,
    "errorText": null
}
```

`Data` field will contain [Ticket](https://developers.socialboards.com/docs/apis/tickets/reference/objects/ticket) model.
